%global momorel 8

%global with_perl 0

Name: inkscape
Summary: A Vector Drawing Application
Version: 0.46
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://inkscape.org/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch1: inkscape-0.45.1-sigc.patch
# patchs from Fedora
Patch10: inkscape-16571-cxxinclude.patch
Patch11: inkscape-0.45.1-desktop.patch
# patch form 2ch
Patch20: inkscape-0.46-rect.patch
# patch from gentoo
Patch30: inkscape-0.46-poppler-0.8.3.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: GConf2-devel
BuildRequires: ImageMagick-devel >= 6.4.2.1
BuildRequires: ImageMagick-c++-devel >= 6.4.2.1
BuildRequires: ORBit2-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: enchant-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gc-devel >= 6.7
BuildRequires: glib2-devel
BuildRequires: glibc-devel
BuildRequires: glibmm-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk2-devel
BuildRequires: gtkmm-devel >= 2.8.8
BuildRequires: gtkspell-devel
BuildRequires: lcms-devel >= 1.13
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel >= 2.1.1
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel >= 1.1.15
BuildRequires: openssl-devel
BuildRequires: pango-devel
BuildRequires: poppler-devel >= 0.8.0
BuildRequires: popt-devel
BuildRequires: zlib-devel
BuildRequires: libgnomeprintui-devel >= 2.12.1
BuildRequires: perl-SVG >= 2.33
BuildRequires: perl-libxml-enno
BuildRequires: python-devel
BuildRequires: dos2unix
Requires: pstoedit
Requires: perl-SVG-Parser
Requires: perl-libxml-enno

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Inkscape is an SVG-based generic vector-drawing program for Linux/Unix/Windows/Mac.

%prep
%setup -q
%patch10 -p1 -b .cxxinclude~
%patch11 -p1 -b .desktop~
find -type f -regex '.*\.\(cpp\|h\)' -perm +111 -exec chmod -x {} ';'
find share/extensions/ -type f -regex '.*\.py' -perm +111 -exec chmod -x {} ';'
dos2unix share/extensions/*.py
%patch20 -p1 -b .rect
%patch30 -p1 -b .poppler

%build
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%configure \
  --disable-dependency-tracking \
  --with-xinerama \
  --enable-static=no \
  --with-python \
%if %{with_perl}
  --with-perl \
%endif
  --with-gnome-vfs \
  --with-inkjar \
  --enable-inkboard \
  --enable-lcms \
  --enable-poppler-cairo \
%ifnarch %{ix86}
  --disable-mmx
%endif

%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%{__rm} -rf %{buildroot}/usr/share/man/fr/

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%if ! %{with_perl}
rm -f %{buildroot}%{_datadir}/%{name}/extensions/outline2svg.*
rm -f %{buildroot}%{_datadir}/%{name}/extensions/txt2svg.*
%endif

for extension in cdr_input.inx wmf_input.inx
do
    sed -i -e "s:uniconv:uniconvertor:g" %{buildroot}%{_datadir}/%{name}/extensions/${extension}
done

desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/inkscape
%{_bindir}/inkview
%{_datadir}/applications/inkscape.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape/*
%{_mandir}/man1/*

%changelog
* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-8m)
- rebuild against ImageMagick-6.4.2.1

* Fri Jun 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.46-7m)
- add patch from 2ch http://pc11.2ch.net/test/read.cgi/linux/1188293074/258
- add patch from gentoo (for poppler-0.8.3)

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-6m)
- rebuild against openssl-0.9.8h-1m

* Mon Apr 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.46-5m)
- rebuild against poppler-0.8.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.46-4m)
- rebuild against gcc43

* Tue Mar 18 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.46-3m)
- fix script name of uniconvertor in {cdr,wmf}_input.inx

* Sun Mar 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.46-2m)
- remove --with-perl from configure for the moment
  (to enable build on trunk Revision: 22801)

* Fri Mar 14 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.46-1m)
- update to 0.46
- remove merged patches

* Sat Feb 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.45.1+0.46pre1-1m)
- sync with Fedora devel, but --without-perl
- * Thu Feb 14 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-4
- - Tolerate recoverable errors in OCAL feeds
- - Fix OCAL insecure temporary file usage (#432807)
- 
- * Wed Feb 13 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-3
- - Fix crash when adding text objects (#432220)
- 
- * Thu Feb 07 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-2
- - Build with gcc-4.3
- 
- * Wed Feb 06 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.45.1+0.46pre1-1
- - 0.46 prerelease
- - Minor cosmetic changes to satisfy the QA script
- - Dependency on Boost
- - Inkboard is not optional
- - Merge from Denis Leroy's svn16571 snapshot:
- - Require specific gtkmm24-devel versions
- - enable-poppler-cairo
- - No longer BuildRequire libsigc++20-devel
- License: GPLv2

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.45.1-4m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.45.1-3m)
- fix build on new sigc++

* Fri Jun 15 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.45.1-2m)
- import patchs from Fedora (inkscape-0.44.1-psinput.patch, inkscape-0.45-python.patch)
- Requires: pstoedit for PS and EPS importing

* Mon Apr 09 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.45.1-1m)
- update to 0.45.1

* Wed Feb 21 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.45-1m)
- update to 0.45

* Tue Dec 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.44.1-2m)
- add static_cast patch
-- support : gcc-4.1.1-20061220 

* Sat Sep 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.44.1-1m)
- update to 0.44.1

* Tue Jun 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.44-1m)
- update to 0.44
- tempolary disabled perl script support because of a link error.

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.43-2m)
- rebuild against gtkmm-2.8.8

* Tue Apr 18 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.43-4m)
- revised an optimization to use "-O2" etc.

* Mon Jan 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.43-3m)
- add CXXFLAGS="-fno-strict-aliasing"

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.43-2m)
- add gcc-4.1 patch.
-- inkscape-0.43-gcc41.patch

* Fri Nov 25 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Tue Nov 15 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.42.2-2m)
- rebuild against pkgconfig-0.19

* Sat Sep 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.42.2-1m)
- update to 0.42.2

* Thu Jul 28 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.42-2m)
- --with-python

* Wed Jul 27 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.42-1m)
- Update to 0.42

* Mon May 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.41-1m)
- initial import to Momonga

* Wed Nov 24 2004 Kees Cook <kees@outflux.net>
- Added SMP flags so I can build faster
- Added static build capability

* Sat Jul 17 2004 Bryce W. Harrington <bryce@bryceharrington.com>
- Removing _libdir and TODO, updating description

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros
